Bug 410023 - Colour profile information notes are outdated
Summary: Colour profile information notes are outdated
Status: RESOLVED FIXED
Alias: None
Product: krita
Classification: Unclassified
Component: Color models (show other bugs)
Version: git master (please specify the git hash!)
Platform: Other Linux
: NOR minor
Target Milestone: ---
Assignee: wolthera
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-07-20 09:01 UTC by Karl Ove Hufthammer
Modified: 2019-07-29 08:35 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Karl Ove Hufthammer 2019-07-20 09:01:37 UTC
SUMMARY
The colour profile information notes included in Krita and written by Ella Stone are outdated, and at least one is misleading. For the LargeRGB profiles, the text currently reads:

> […] However, other than being large enough to hold a lot of colours,
> ProPhotoRGB has no particular merit as an RGB working space. Personally
> and for most editing purposes, I recommend BetaRGB, Rec2020, or the
> ACEScg profiles ProPhotoRGB.

Read literally, this implies that ProPhotoRGB *is* a BetaRGB, Rec2020 or ACEScg profile. Of course, the word ‘over’ (or ‘instead of’) before ProPhotoRGB is missing in the last sentence. On Ella Stone’s Web page, the sentence has been corrected (https://ninedegreesbelow.com/photography/lcms-make-icc-profiles.html#ProphotoRGB):

> Personally I recommend the Rec.2020 or ACEScg profiles over ProPhotoRGB.

(And and additional sentence has been added.)

Based on the WayBack machine, this information was changed somewhere between 13-Sep-2015 and 16-Oct-2015.

And compared to the 13-Sep-2015 version and the current version of the profile notes (https://ninedegreesbelow.com/photography/lcms-make-icc-profiles.html), there have been changes in the profile descriptions for *several* of the profiles. So the descriptions in Krita for all profiles should be updated.


STEPS TO REPRODUCE
1. Click ‘File → New → Custom Document’ and launch the colour profile browser
2. Click on a ‘LargeRGB’ colour profile
3. Read the description, especially the ‘Extra notes on profiles by Elle Stone’

OBSERVED RESULT
‘Personally and for most editing purposes, I recommend BetaRGB, Rec2020, or the ACEScg profiles ProPhotoRGB.’.


EXPECTED RESULT
‘Personally I recommend the Rec.2020 or ACEScg profiles over ProPhotoRGB. But if you have an already well-established workflow using ProPhotoRGB, you might find a shift to another RGB working space a little odd, at least at first, and so you have to weight the pros and cons of changing your workflow.’


SOFTWARE/OS VERSIONS
Operating System: openSUSE Tumbleweed 20190717
KDE Plasma Version: 5.16.2
KDE Frameworks Version: 5.59.0
Qt Version: 5.13.0
Kernel Version: 5.1.16-1-default
OS Type: 64-bit
Processors: 4 × Intel® Core™ i5-2500 CPU @ 3.30GHz
Memory: 15,6 GiB


ADDITIONAL INFORMATION
The notes doesn’t seem to be frequently updated (according to the Web page, the last update was in 2016), so the maintenance burden for keeping these (very valuable) notes updated in the future doesn’t seem to big.
Comment 1 Halla Rempt 2019-07-20 09:03:16 UTC
Wolthera, could you take a look?
Comment 2 wolthera 2019-07-20 12:07:45 UTC
Yes, I'll try to tackle this coming week.
Comment 3 wolthera 2019-07-28 12:29:01 UTC
Git commit 98af93aab573e6e2244cfaffb5af20d0d7d5ddff by Wolthera van Hövell tot Westerflier.
Committed on 28/07/2019 at 12:28.
Pushed by woltherav into branch 'master'.

M  +5    -3    libs/ui/widgets/kis_advanced_color_space_selector.cc

https://invent.kde.org/kde/krita/commit/98af93aab573e6e2244cfaffb5af20d0d7d5ddff
Comment 4 wolthera 2019-07-28 12:32:19 UTC
Okay, so I checked all of the descriptions, but there were no big changes in the descriptions besides the one mentioned.

For one, we actually edited down some of the descriptions to remove information which is not very useful when selecting a profile, and for another, there were certain sentences Elle used which freaked out translators(in particular 'has chromaticities that fall just barely outside the horseshoe-shaped locus of real colors on the xy chromaticity diagram.', we had to rturn that into 'contains only few colors that fall just barely outside the area of real colors humans can see'.
Comment 5 Halla Rempt 2019-07-29 08:35:41 UTC
Git commit 68b6680afab89b5656ce6e45cd007ee67a6c8f97 by Boudewijn Rempt, on behalf of Wolthera van Hövell tot Westerflier.
Committed on 29/07/2019 at 08:35.
Pushed by rempt into branch 'krita/4.2'.

M  +5    -3    libs/ui/widgets/kis_advanced_color_space_selector.cc

https://invent.kde.org/kde/krita/commit/68b6680afab89b5656ce6e45cd007ee67a6c8f97